%define		_state		stable
%define		orgname		parley

Summary:	K Desktop Environment - program to help you memorize things
Summary(pl.UTF-8):	K Desktop Environment - program pomagający w zapamiętywaniu
Name:		kde4-parley
Version:	4.14.3
Release:	1
License:	GPL
Group:		X11/Applications/Graphics
Source0:	http://download.kde.org/%{_state}/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	56e0251eac01882929e5da2fec423c07
URL:		http://www.kde.org/
BuildRequires:	attica-devel
BuildRequires:	automoc4
BuildRequires:	docbook-style-xsl
BuildRequires:	kde4-kdelibs-devel >= %{version}
BuildRequires:	kde4-libkdeedu-devel >= %{version}
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	qt4-build
Obsoletes:	kde4-kdeedu-parley < 4.7.0
Obsoletes:	parley <= 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Parley is a KDE program to help you memorize things.

%description -l pl.UTF-8
Parley to program dla KDE pomagający w zapamiętywaniu.

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build/ install \
	DESTDIR=$RPM_BUILD_ROOT \
	kde_htmldir=%{_kdedocdir}

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/parley
%attr(755,root,root) %{_libdir}/kde4/plasma_applet_parley.so
%attr(755,root,root) %{_libdir}/kde4/plasma_engine_parley.so
%{_desktopdir}/kde4/parley.desktop
%{_datadir}/appdata/parley.appdata.xml
%{_datadir}/apps/desktoptheme/default/widgets/parley_plasma_card.svg
%{_datadir}/apps/parley
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/config/*.knsrc
%{_iconsdir}/hicolor/*x*/apps/parley.png
%{_iconsdir}/hicolor/scalable/apps/parley*.svgz
%{_datadir}/kde4/services/plasma-dataengine-parley.desktop
%{_datadir}/kde4/services/plasma_parley.desktop
%changelog
* Sat Nov 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kde4-parley.git;a=log;h=master

* Fri Nov 14 2014 Jan Rękorajski <baggins@pld-linux.org> 9210c97
- updated to 4.14.3 (by update-kde4.sh)

* Mon Aug 25 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 78454bb
- updated to 4.14.0
- appdata file packaged

* Tue Jun 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 5d1b1ca
- updated to 4.13.2 (by update-kde4.sh)

* Wed May 14 2014 Witold Filipczyk <witekfl@poczta.onet.pl> ee57963
- updated to 4.13.1 (by update-kde4.sh)

* Mon May 12 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 8f15159
- up to 4.13.0

* Thu Apr 10 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 22a6e31
- updated to 4.12.4 (by update-kde4.sh)

* Wed Mar 05 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 628f211
- updated to 4.12.3 (by update-kde4.sh)

* Tue Feb 04 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 18dcd54
- updated to 4.12.2 (by update-kde4.sh)

* Sun Jan 19 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0e8fd66
- updated to 4.12.1 (by update-kde4.sh)

* Thu Dec 26 2013 Witold Filipczyk <witekfl@poczta.onet.pl> 28cfbc3
- up to 4.12.0

* Wed Jun 19 2013 Jan Rękorajski <baggins@pld-linux.org> 7e599c8
- updated to 4.10.4 (by update-kde4.sh)

* Fri Feb 15 2013 Jan Rękorajski <baggins@pld-linux.org> c25d84f
- 4.10.0

* Mon Dec 10 2012 Jan Rękorajski <baggins@pld-linux.org> d3d1ae3
- updated to 4.9.4

* Sun Dec 02 2012 Paweł Sikora <pawel.sikora@agmk.net> d279b1a
- updated to 4.9.3.

* Thu Sep 06 2012 Paweł Sikora <pawel.sikora@agmk.net> 62470dd
- updated to 4.9.1.

* Sat Aug 25 2012 Paweł Sikora <pawel.sikora@agmk.net> 4c58db2
- updated to 4.9.0, added missing BRs.

* Sun Jan 22 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 13a84c8
- up to 4.8.0; now as kde4-parley

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b2669c1
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e8752e
- rel 2; BR libkdeedu-devel

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7727a64
- initial

